Package org.gradle.tooling.events.transform

# Interface TransformFinishEvent

All Superinterfaces:
  `FinishEvent`, `ProgressEvent`, `TransformProgressEvent`

public interface TransformFinishEvent extends TransformProgressEvent, FinishEvent
An event that informs about a transform operation having finished its execution.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TransformOperationResult`
  `getResult()`
  Returns the result of the finished operation.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDisplayName, getEventTime`

  ### Methods inherited from interface org.gradle.tooling.events.transform.TransformProgressEvent

  `getDescriptor`

- ## Method Details

  - ### getResult

    TransformOperationResult getResult()
    Description copied from interface: `FinishEvent`
    Returns the result of the finished operation.
    Specified by:
      `getResult` in interface `FinishEvent`
    Returns:
      the result of the finished operation